Loading...
Searching...
No Matches
pcl::io::PointCloudImageExtractorFromZField< PointT > Class Template Reference
Module io

Image Extractor which uses the data present in the "z" field to produce a depth map (as a monochrome image with mono16 encoding). More...

`#include <pcl/io/point_cloud_image_extractors.h>`

Inheritance diagram for pcl::io::PointCloudImageExtractorFromZField< PointT >:

## Public Types

using | Ptr = shared_ptr< PointCloudImageExtractorFromZField< PointT > >
using | ConstPtr = shared_ptr< const PointCloudImageExtractorFromZField< PointT > >
Public Types inherited from pcl::io::PointCloudImageExtractorWithScaling< PointT >
enum | ScalingMethod { SCALING_NO , SCALING_FULL_RANGE , SCALING_FIXED_FACTOR }
| Different scaling methods. More...
using | Ptr = shared_ptr< PointCloudImageExtractorWithScaling< PointT > >
using | ConstPtr = shared_ptr< const PointCloudImageExtractorWithScaling< PointT > >
Public Types inherited from pcl::io::PointCloudImageExtractor< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | Ptr = shared_ptr< PointCloudImageExtractor< PointT > >
using | ConstPtr = shared_ptr< const PointCloudImageExtractor< PointT > >

## Public Member Functions

| PointCloudImageExtractorFromZField (const float scaling_factor=10000)
| Constructor.
| PointCloudImageExtractorFromZField (const ScalingMethod scaling_method)
| Constructor.
| ~PointCloudImageExtractorFromZField () override=default
| Destructor.
Public Member Functions inherited from pcl::io::PointCloudImageExtractorWithScaling< PointT >
| PointCloudImageExtractorWithScaling (const std::string &field_name, const ScalingMethod scaling_method)
| Constructor.
| PointCloudImageExtractorWithScaling (const std::string &field_name, const float scaling_factor)
| Constructor.
| ~PointCloudImageExtractorWithScaling () override=default
| Destructor.
void | setScalingMethod (const ScalingMethod scaling_method)
| Set scaling method.
void | setScalingFactor (const float scaling_factor)
| Set fixed scaling factor.
Public Member Functions inherited from pcl::io::PointCloudImageExtractor< PointT >
| PointCloudImageExtractor ()=default
| Constructor.
virtual | ~PointCloudImageExtractor ()=default
| Destructor.
bool | extract (const PointCloud &cloud, pcl::PCLImage &image) const
| Obtain the image from the given cloud.
void | setPaintNaNsWithBlack (bool flag)
| Set a flag that controls if image pixels corresponding to NaN (infinite) points should be painted black.

## Additional Inherited Members

Protected Member Functions inherited from pcl::io::PointCloudImageExtractorWithScaling< PointT >
bool | extractImpl (const PointCloud &cloud, pcl::PCLImage &image) const override
| Implementation of the extract() function, has to be implemented in deriving classes.
Protected Attributes inherited from pcl::io::PointCloudImageExtractorWithScaling< PointT >
std::string | field_name_
ScalingMethod | scaling_method_
float | scaling_factor_
Protected Attributes inherited from pcl::io::PointCloudImageExtractor< PointT >
bool | paint_nans_with_black_ {false}
| A flag that controls if image pixels corresponding to NaN (infinite) points should be painted black.

## Detailed Description

template<typename PointT>
class pcl::io::PointCloudImageExtractorFromZField< PointT >

Image Extractor which uses the data present in the "z" field to produce a depth map (as a monochrome image with mono16 encoding).

Author
  Sergey Alexandrov

Definition at line 314 of file point_cloud_image_extractors.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::io::PointCloudImageExtractorFromZField< PointT >::ConstPtr = shared_ptr<const PointCloudImageExtractorFromZField<PointT> >

Definition at line 321 of file point_cloud_image_extractors.h.

## Ptr

template<typename PointT >

using pcl::io::PointCloudImageExtractorFromZField< PointT >::Ptr = shared_ptr<PointCloudImageExtractorFromZField<PointT> >

Definition at line 320 of file point_cloud_image_extractors.h.

## Constructor & Destructor Documentation

## PointCloudImageExtractorFromZField() [1/2]

template<typename PointT >

pcl::io::PointCloudImageExtractorFromZField< PointT >::PointCloudImageExtractorFromZField | ( | const float | scaling_factor = `10000` | ) |

inline

Constructor.

Parameters

  [in] | scaling_factor | a scaling factor to apply to each depth value (default 10000)

Definition at line 326 of file point_cloud_image_extractors.h.

## PointCloudImageExtractorFromZField() [2/2]

template<typename PointT >

pcl::io::PointCloudImageExtractorFromZField< PointT >::PointCloudImageExtractorFromZField | ( | const ScalingMethod | scaling_method | ) |

inline

Constructor.

Parameters

  [in] | scaling_method | a scaling method to use

Definition at line 334 of file point_cloud_image_extractors.h.

## ~PointCloudImageExtractorFromZField()

template<typename PointT >

pcl::io::PointCloudImageExtractorFromZField< PointT >::~PointCloudImageExtractorFromZField | ( |  | ) |

override default

Destructor.

The documentation for this class was generated from the following file:

- pcl/io/point_cloud_image_extractors.h